Package it.ernytech.tdlib

## Class TdApi.ChangeImportedContacts

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ChangeImportedContacts

Enclosing class:
  TdApi

    public static class TdApi.ChangeImportedContacts
    extends TdApi.Function

Changes imported contacts using the list of current user contacts saved on the device. Imports newly added contacts and, if at least the file database is enabled, deletes recently deleted contacts. Query result depends on the result of the previous query, so only one query is possible at the same time.

Returns `ImportedContacts`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.Contact[]` `contacts` The new list of contacts.

### Constructor Summary

Constructors
`ChangeImportedContacts()` Default constructor.
`ChangeImportedContacts​(TdApi.Contact[] contacts)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### contacts

    public TdApi.Contact[] contacts

The new list of contacts.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChangeImportedContacts

    public ChangeImportedContacts()

Default constructor.

#### ChangeImportedContacts

    public ChangeImportedContacts​(TdApi.Contact[] contacts)

Constructor for initialization of all fields.

Parameters:
  `contacts` - The new list of contacts.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR